@font-face {
    font-family: "Oswald";
    src: url("Oswald/Oswald-VariableFont_wght.ttf") format("truetype");
    font-weight: 100 900;
    font-style: normal;
}

@font-face {
    font-family: "Manrope";
    src: url("Manrope/Manrope-VariableFont_wght.ttf") format("truetype");
    font-weight: 100 900;
    font-style: normal;
}
html {
    scroll-behavior: smooth;
}

body {
    background-color: rgb(30, 31, 30);
    color: white;
    margin: 0;
    min-width: 700px;

    background-image: url("Bilder/grid2blur.png");

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    min-height: 100vh;
    /* min-width: 600px;*/
}

ul.navlinks {
    list-style-type: none;
    font-weight: 100;
    display: flex;
    flex-wrap: wrap;
}

a:hover {
    color: #f4ee9d;
}
.navbar {
    z-index: 100;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 59px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, 0.48);
    backdrop-filter: blur(16px);
    border-bottom: 1px solid var(--line);
    padding-inline: var(--nav-pad);
}

.navbar a {
    padding: 0 45px;
}

a {
    text-decoration: none;
    color: white;
}
h1,
h2,
h3,
a {
    font-family: "Oswald";
}

p,
li {
    font-family: "manrope";
}

.text {
    display: flex;
    gap: 50px;
    justify-content: center;
    align-items: center;

    text-align: center;
}

.text p {
    font-size: 10px;
    color: rgba(255, 255, 255, 0.56);
}
.section1 {
    width: 70%;
    height: auto;
    margin: 0 auto;

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: 50%;
    gap: 1rem;
    background-color: rgba(66, 65, 56, 0.89);
    backdrop-filter: blur(3px);
    padding: 50px;
    border: solid 1px rgba(255, 255, 255, 0.36);
}

.wide {
    grid-column: span 2;
}

#characterart {
    margin-top: 70px;
}

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card {
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.card img {
    width: 100%;
    display: block;

    transition: transform 0.3s ease;
}

.overlay {
    position: absolute;
    inset: 0;

    background: rgba(0, 0, 0, 0.5);

    display: flex;
    justify-content: center;
    align-items: center;

    opacity: 0;
    transition: opacity 0.3s ease;
    pointer-events: none;
}

.overlay h3 {
    color: white;
    font-size: 1rem;
    margin: 0;
}

.card:hover img {
    transform: scale(1.05);
}

.card:hover .overlay {
    opacity: 1;
}

.card {
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.modal:target {
    opacity: 1;
    pointer-events: auto;
}

.modal-content {
    width: 70%;
    height: 100%;
    object-fit: contain;
}

.close {
    position: absolute;
    top: 0;
    right: 30px;
    font-size: 52px;
    color: white;
    text-decoration: none;
    z-index: 300;
    display: flex;
    align-items: center;
}
.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0, 0, 0, 0.93);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    opacity: 0;
    pointer-events: none;
    transition: 0.3s ease;
    scroll-margin-top: 0;
}
a {
    padding-top: 10px;
}
.modal:target {
    opacity: 1;
    pointer-events: auto;
}

.item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#fanart {
    margin-bottom: 200px;
}

.worktext {
    list-style: none;
    font-size: 12px;
    padding: 0 30px;
}
.imgtext {
    width: 30%;
    color: white;
    display: flex;
    align-items: center;
}

#characterart,
#illustration,
#fanart,
.modal {
    scroll-margin-top: 62px;
}

@media (max-width: 855px) {
    .navbar a {
        padding: 0 20px;
    }
}

